# SPDX-License-Identifier: MIT
%global archive_name %{lua:t=string.gsub(rpm.expand("%{default_fonts_foundry} %{fonts_family}"), "[%p%s]+", "_");print(t)}

%global source_version 20080702
%global source_release 31
%global source_url     http://www.greekfontsociety-gfs.gr/typefaces/19th_century

%global default_fonts_foundry      GFS
%global default_fonts_license      OFL
%global default_fonts_licenses     OFL.txt
%global default_fonts_docs         *.txt
%global default_fonts_docs_exclude %{default_fonts_licenses}

%global fonts_family             Didot Classic
%global fonts_summary            GFS Didot Classic, a 19th century Greek font family
%global fonts_tags               %{expand:
Suggests: font(gfsdidot)
}
%global fonts_fonts              *.otf
%global fonts_experimental_confs 61-%{fonts_name}.xml
%global fonts_description        %{expand:
Under the influence of the neoclassical ideals of the late 18th century, the
famous French type cutter Firmin Didot in Paris designed a new Greek typeface
(1805) which was immediately used in the publishing program of Adamantios
Korai, the prominent intellectual figure of the Greek diaspora and leading
scholar of the Greek Enlightenment. The typeface eventually arrived in Greece,
with the field press which came with Didot’s grandson Ambroise Firmin Didot,
during the Greek Revolution in 1821. Since then the typeface has enjoyed an
unrivaled success as the type of choice for almost every kind of publication
until the last decades of the 20th century.

Didot’s original type design, as it is documented in publications during the
first decades of the 19th century, was digitized and revived by George D.
Matthiopoulos in 2006 for a project of the Department of Literature in the
School of Philosophy at the University of Thessaloniki, and is now available
for general use.}

%global doc_licenses0 %{default_fonts_licenses}
%global doc_docs0     *pdf

%auto_init
%auto_pkg

%sourcelist
http://www.greekfontsociety-gfs.gr/_assets/fonts/%{archive_name}.zip
61-%{fonts_name}.xml

%prep
%auto_prep
%setup -q -c -T
unzip -j -q %{_sourcedir}/%{archive_name}.zip
install -m 644 %{_sourcedir}/*xml .
%linuxtext *.txt

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20080702-28
👻 Rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are valid

* Mon Mar 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20080702-26
✅ Lint, lint, lint and lint again

* Sat Feb 22 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20080702-25
✅ Rebuild with fonts-rpm-macros 2.0.2

* Sat Feb 15 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20080702-24
✅ Convert to fonts-rpm-macros use

* Sun Nov 25 2007 Nicolas Mailhot <nim@fedoraproject.org>
- 20070415-1
✅ Initial packaging
